package com.ho.business.service;

import com.ho.business.entity.IndustrialElecPrice;
import com.ho.business.vo.req.industrialElec.IndustrialElecPriceReqVo;
import com.ho.common.tools.exception.DataResult;
import com.ho.common.tools.util.PageResult;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;


public interface IndustrialElecPriceService {

    DataResult<PageResult<IndustrialElecPrice>> getElecPriceList(IndustrialElecPriceReqVo reqVo);
    void add(IndustrialElecPrice industrialElecPrice);

    void deleteById(Long id);

    IndustrialElecPrice findById(Long id);

    void updateById(IndustrialElecPrice industrialElecPrice);

    List<Map<String,Object>> getTouLineById(Long id);

    Map<String,Object> getTouLineHistoryById(Long id);

    Map<String,Object> getMaxPriceDiffById(Long id);

    DataResult collectPrice(MultipartFile file,Integer regionId,String executionTime);
}
